Package org.apache.lucene.codecs.uniformsplit

## Class FSTDictionary.Browser

- java.lang.Object
- - org.apache.lucene.codecs.uniformsplit.FSTDictionary.Browser

- All Implemented Interfaces:
    `IndexDictionary.Browser`
  Enclosing class:
    FSTDictionary

      protected class FSTDictionary.Browser
      extends Object
      implements IndexDictionary.Browser

  Stateful `FSTDictionary.Browser` to seek a term in this `FSTDictionary` and get its corresponding block file pointer in the block file.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected BytesRefFSTEnum<Long>` | `fstEnum` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Browser()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `seekBlock​(BytesRef term)` | Seeks the given term in the `IndexDictionary` and returns its corresponding block file pointer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fstEnum

          protected final BytesRefFSTEnum<Long> fstEnum

  - ### Constructor Detail

    - #### Browser

          protected Browser()

  - ### Method Detail

    - #### seekBlock

          public long seekBlock​(BytesRef term)
                         throws IOException

      Description copied from interface: `IndexDictionary.Browser`
      Seeks the given term in the `IndexDictionary` and returns its corresponding block file pointer.
      Specified by:
        `seekBlock` in interface `IndexDictionary.Browser`
      Returns:
        The block file pointer corresponding to the term if it matches exactly a block key in the dictionary. Otherwise the floor block key, which is the greatest block key present in the dictionary that is alphabetically preceding the searched term. Otherwise `-1` if there is no floor block key because the searched term precedes alphabetically the first block key of the dictionary.
      Throws:
        `IOException`